# Deprecated API

## Contents

- Interfaces
- Methods
- Constructors

Deprecated Interfaces
Interface
Description
com.microsoft.sqlserver.jdbc.ISQLServerBulkRecord
as of 8.1.0, because the interface contains methods which are not called as part of actual bulk copy process. Use `ISQLServerBulkData`} instead.

Deprecated Methods
Method
Description
com.microsoft.sqlserver.jdbc.ISQLServerCallableStatement.getBigDecimal(String, int)
com.microsoft.sqlserver.jdbc.SQLServerCallableStatement.getBigDecimal(int, int)
com.microsoft.sqlserver.jdbc.SQLServerCallableStatement.getBigDecimal(String, int)
com.microsoft.sqlserver.jdbc.SQLServerPreparedStatement.setUnicodeStream(int, InputStream, int)
com.microsoft.sqlserver.jdbc.SQLServerResultSet.getBigDecimal(int, int)
com.microsoft.sqlserver.jdbc.SQLServerResultSet.getBigDecimal(String, int)
com.microsoft.sqlserver.jdbc.SQLServerResultSet.getUnicodeStream(int)
com.microsoft.sqlserver.jdbc.SQLServerResultSet.getUnicodeStream(String)

Deprecated Constructors
Constructor
Description
com.microsoft.sqlserver.jdbc.SQLServerBlob(SQLServerConnection, byte[])
Use `SQLServerConnection.createBlob()` instead.
com.microsoft.sqlserver.jdbc.SQLServerClob(SQLServerConnection, String)
Use `SQLServerConnection.createClob()` instead.